Bug 98834 - Filesize limit exceeded (core dumped)
Summary: Filesize limit exceeded (core dumped)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcsh   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-09 12:42 UTC by Umaid Singh Rajpurohit
Modified: 2007-03-27 04:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-17 13:13:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Umaid Singh Rajpurohit 2003-07-09 12:42:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; TI Custom 
Install)

Description of problem:
tcsh does not allow creation of Files larger then 2 GB. It crashes 
with the following error :
Filesize limit exceeded (core dumped)

Version-Release number of selected component (if applicable):
tcsh-6.10-6

How reproducible:
Always

Steps to Reproduce:
1.creat any text file of 100MB 
2.run a for loop to append the contents of the same file in to some test file. 
when It reaches @ 2GB it will crash with the error.
3. Not the case with other shells (like bash)
    

Actual Results:  Filesize limit exceeded (core dumped)

Expected Results:  It should allow to create file lager then 2 GB just like bash

Additional info:

>foreach c `xxxxxx@linuxfarm [No View]>foreach c (`seq 1 15`)
foreach? cat /proj/linux/tmp/messages >> /tmp/testfile 
foreach? ls -alh /tmp/testfile
foreach? end
-rw-r--r--    1 xxxxx  yyyyy     1.4G Jul  9 18:00 /tmp/testfile
-rw-r--r--    1 xxxxx  yyyyy     1.6G Jul  9 18:01 /tmp/testfile
-rw-r--r--    1 xxxxx  yyyyy     1.8G Jul  9 18:01 /tmp/testfile
Filesize limit exceeded (core dumped)
-rw-r--r--    1 xxxxx  yyyyy     2.0G Jul  9 18:01 /tmp/testfile
Filesize limit exceeded (core dumped)
-rw-r--r--    1 xxxxx yyyyy     2.0G Jul  9 18:01 /tmp/testfile

Comment 1 Miloslav Trmač 2004-08-17 13:13:36 UTC
tcsh-6.12 enables large file support on Linux.


Note You need to log in before you can comment on or make changes to this bug.